Bug 54322 - [Chromium] Layout test failures under Snow Leopard
Summary: [Chromium] Layout test failures under Snow Leopard
Status: RESOLVED LATER
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Mihai Parparita
URL:
Keywords:
Depends on: 54994
Blocks: 85073
  Show dependency treegraph
 
Reported: 2011-02-11 16:02 PST by Mihai Parparita
Modified: 2012-04-27 09:43 PDT (History)
10 users (show)

See Also:


Attachments
Patch (271.96 KB, patch)
2011-02-21 12:23 PST, Anna Cavender
mihai: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Parparita 2011-02-11 16:02:07 PST
The follow tests fail on Chromium Snow Leopard only. They generally just need updated pixel baselines (preferably upstream in platform/mac).

animations/3d/state-at-end-event-transform.html = IMAGE 
css1/box_properties/clear_float.html = IMAGE 
css1/box_properties/float_on_text_elements.html = IMAGE 
css1/font_properties/font.html = IMAGE+TEXT 
css1/text_properties/text_transform.html = IMAGE+TEXT 
css2.1/t0905-c5525-fltcont-00-d-g.html = IMAGE 
css2.1/t0905-c5525-fltwidth-00-c-g.html = IMAGE 
css2.1/t1508-c527-font-05-b.html = IMAGE+TEXT 
css2.1/t1508-c527-font-10-c.html = IMAGE+TEXT 
css2.1/t1605-c545-txttrans-00-b-ag.html = IMAGE+TEXT 
editing/deleting/delete-ws-fixup-002.html = IMAGE 
editing/inserting/typing-around-br-001.html = IMAGE 
editing/pasteboard/merge-end-list.html = IMAGE 
editing/pasteboard/paste-blockquote-2.html = IMAGE 
editing/selection/4402375.html = IMAGE 
editing/selection/4932260-3.html = IMAGE 
editing/selection/5234383-1.html = IMAGE 
editing/selection/5234383-2.html = IMAGE 
editing/selection/image-before-linebreak.html = IMAGE 
editing/selection/replaced-boundaries-1.html = IMAGE 
editing/selection/replaced-boundaries-2.html = IMAGE 
editing/selection/replaced-boundaries-3.html = IMAGE 
editing/selection/select-from-textfield-outwards.html = IMAGE 
fast/backgrounds/svg-as-background-5.html = IMAGE 
fast/backgrounds/svg-as-background-6.html = IMAGE 
fast/blockflow/Kusa-Makura-background-canvas.html = IMAGE 
fast/blockflow/english-lr-text.html = IMAGE 
fast/blockflow/japanese-rl-text-with-broken-font.html = IMAGE 
fast/blockflow/japanese-rl-text.html = IMAGE 
fast/blockflow/vertical-baseline-alignment.html = IMAGE 
fast/canvas/arc360.html = IMAGE 
fast/canvas/canvasDrawingIntoSelf.html = IMAGE 
fast/canvas/drawImage.html = IMAGE 
fast/canvas/image-object-in-canvas.html = IMAGE 
fast/canvas/set-colors.html = TEXT 
fast/css/font-face-descriptor-multiple-values.html = IMAGE 
fast/css/transform-default-parameter.html = IMAGE 
fast/dom/34176.html = IMAGE 
fast/dom/52776.html = IMAGE+TEXT 
fast/dom/HTMLInputElement/input-slider-update.html = IMAGE 
fast/dom/blur-contenteditable.html = IMAGE 
fast/dom/isindex-002.html = IMAGE 
fast/dom/prototype-inheritance.html = TEXT 
fast/dom/replaceChild.html = IMAGE 
fast/forms/basic-buttons.html = IMAGE 
fast/forms/button-sizes.html = IMAGE 
fast/forms/input-align-image.html = IMAGE 
fast/forms/input-appearance-bkcolor.html = IMAGE 
fast/forms/input-type-change.html = IMAGE 
fast/forms/preserveFormDuringResidualStyle.html = IMAGE 
fast/forms/slider-padding.html = IMAGE 
fast/images/favicon-as-image.html = IMAGE+TEXT 
fast/layers/video-layer.html = TEXT 
fast/media/mq-transform-02.html = IMAGE+TEXT 
fast/media/mq-transform-03.html = IMAGE+TEXT 
fast/multicol/shadow-breaking.html = IMAGE 
fast/repaint/line-flow-with-floats-1.html = IMAGE 
fast/repaint/line-flow-with-floats-10.html = IMAGE 
fast/repaint/line-flow-with-floats-2.html = IMAGE 
fast/repaint/line-flow-with-floats-3.html = IMAGE 
fast/repaint/line-flow-with-floats-4.html = IMAGE 
fast/repaint/line-flow-with-floats-5.html = IMAGE 
fast/repaint/line-flow-with-floats-6.html = IMAGE 
fast/repaint/line-flow-with-floats-7.html = IMAGE 
fast/repaint/line-flow-with-floats-8.html = IMAGE 
fast/repaint/line-flow-with-floats-9.html = IMAGE 
fast/repaint/select-option-background-color.html = IMAGE 
fast/repaint/slider-thumb-drag-release.html = IMAGE 
fast/selectors/166.html = IMAGE 
fast/speech/input-appearance-numberandspeech.html = IMAGE 
fast/speech/input-appearance-searchandspeech.html = IMAGE 
fast/speech/input-appearance-speechbutton.html = IMAGE 
fast/table/028-vertical.html = IMAGE 
fast/text/atsui-partial-selection.html = IMAGE 
fast/text/complex-text-opacity.html = IMAGE 
fast/text/international/pop-up-button-text-alignment-and-direction.html = IMAGE 
fast/text/international/text-combine-image-test.html = IMAGE 
fast/text/justify-ideograph-simple.html = IMAGE 
fast/text/justify-ideograph-vertical.html = IMAGE 
fonts/monospace.html = IMAGE 
fonts/sans-serif.html = IMAGE 
http/tests/misc/acid3.html = IMAGE 
media/audio-controls-rendering.html = TEXT 
media/controls-after-reload.html = TEXT 
media/controls-strict.html = TEXT 
media/controls-styling.html = TEXT 
media/video-aspect-ratio.html = IMAGE 
media/video-display-toggle.html = IMAGE 
media/video-empty-source.html = TEXT 
media/video-no-audio.html = TEXT 
media/video-volume-slider.html = TEXT 
media/video-zoom-controls.html = IMAGE 
media/video-zoom.html = IMAGE 
scrollbars/listbox-scrollbar-combinations.html = IMAGE 
scrollbars/overflow-scrollbar-combinations.html = IMAGE 
svg/W3C-SVG-1.1/animate-elem-03-t.svg = IMAGE 
svg/W3C-SVG-1.1/animate-elem-08-t.svg = IMAGE 
svg/W3C-SVG-1.1/animate-elem-33-t.svg = IMAGE 
svg/W3C-SVG-1.1/animate-elem-34-t.svg = IMAGE 
svg/W3C-SVG-1.1/animate-elem-36-t.svg = IMAGE 
svg/W3C-SVG-1.1/animate-elem-84-t.svg = IMAGE 
svg/W3C-SVG-1.1/filters-color-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/filters-comptran-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/filters-example-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/metadata-example-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-02-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-03-f.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-04-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-05-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-06-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-07-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-08-t.svg = IMAGE 
svg/W3C-SVG-1.1/paths-data-15-t.svg = IMAGE 
svg/W3C-SVG-1.1/pservers-grad-06-b.svg = IMAGE 
svg/W3C-SVG-1.1/pservers-grad-07-b.svg = IMAGE 
svg/W3C-SVG-1.1/pservers-grad-08-b.svg = IMAGE 
svg/W3C-SVG-1.1/pservers-grad-11-b.svg = IMAGE 
svg/W3C-SVG-1.1/pservers-grad-13-b.svg = IMAGE 
svg/W3C-SVG-1.1/struct-frag-02-t.svg = IMAGE 
svg/W3C-SVG-1.1/text-path-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/text-text-01-b.svg = IMAGE 
svg/W3C-SVG-1.1/types-basicDOM-01-b.svg = IMAGE 
svg/batik/masking/maskRegions.svg = IMAGE+TEXT 
svg/batik/text/textAnchor.svg = IMAGE 
svg/batik/text/textEffect.svg = IMAGE 
svg/batik/text/textEffect3.svg = IMAGE 
svg/batik/text/textFeatures.svg = IMAGE 
svg/batik/text/textOnPath2.svg = IMAGE 
svg/batik/text/verticalTextOnPath.svg = IMAGE 
svg/carto.net/button.svg = IMAGE 
svg/carto.net/colourpicker.svg = IMAGE 
svg/carto.net/combobox.svg = IMAGE 
svg/carto.net/slider.svg = IMAGE 
svg/carto.net/textbox.svg = IMAGE 
svg/carto.net/window.svg = IMAGE 
svg/css/composite-shadow-text.svg = IMAGE 
svg/css/group-with-shadow.svg = IMAGE 
svg/css/text-gradient-shadow.svg = IMAGE 
svg/custom/dynamic-svg-document-creation.svg = IMAGE 
svg/custom/feComponentTransfer-Discrete.svg = IMAGE 
svg/custom/feComponentTransfer-Gamma.svg = IMAGE 
svg/custom/feComponentTransfer-Linear.svg = IMAGE 
svg/custom/feComponentTransfer-Table.svg = IMAGE 
svg/custom/foreign-object-skew.svg = IMAGE 
svg/custom/glyph-transformation-with-hkern.svg = IMAGE 
svg/custom/gradient-rotated-bbox.svg = IMAGE 
svg/custom/grayscale-gradient-mask.svg = IMAGE 
svg/custom/invalid-css.svg = IMAGE 
svg/custom/js-late-clipPath-and-object-creation.svg = IMAGE 
svg/custom/js-late-clipPath-creation.svg = IMAGE 
svg/custom/js-late-gradient-and-object-creation.svg = IMAGE 
svg/custom/js-late-gradient-creation.svg = IMAGE 
svg/custom/js-late-pattern-and-object-creation.svg = IMAGE 
svg/custom/junk-data.svg = IMAGE 
svg/custom/marker-default-width-height.svg = IMAGE 
svg/custom/missing-xlink.svg = IMAGE 
svg/custom/non-scaling-stroke.svg = IMAGE 
svg/custom/pattern-skew-transformed.svg = IMAGE 
svg/custom/pattern-with-transformation.svg = IMAGE 
svg/custom/preserve-aspect-ratio-syntax.svg = IMAGE 
svg/custom/radial-gradient-with-outstanding-focalPoint.svg = IMAGE 
svg/custom/relative-sized-inner-svg.xhtml = IMAGE 
svg/custom/relative-sized-use-on-symbol.xhtml = IMAGE 
svg/custom/relative-sized-use-without-attributes-on-symbol.xhtml = IMAGE 
svg/custom/resource-invalidate-on-target-update.svg = IMAGE 
svg/custom/shapes-supporting-markers.svg = IMAGE 
svg/custom/stroked-pattern.svg = IMAGE 
svg/custom/struct-use-09-b.svg = IMAGE 
svg/custom/svg-curve-with-relative-cordinates.html = IMAGE 
svg/custom/svg-fonts-with-no-element-reference.html = IMAGE 
svg/custom/text-rotated-gradient.svg = IMAGE 
svg/custom/tref-update.svg = IMAGE 
svg/custom/use-detach.svg = IMAGE 
svg/custom/use-on-clip-path-with-transformation.svg = IMAGE 
svg/custom/use-referencing-nonexisting-symbol.svg = IMAGE 
svg/custom/viewbox-syntax.svg = IMAGE 
svg/dom/SVGTransformList-basics.xhtml = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-dom-in-attr.html = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-dom-in2-attr.html = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-dom-mode-attr.html = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-svgdom-in-prop.html = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-svgdom-in2-prop.html = IMAGE 
svg/dynamic-updates/SVGFEBlendElement-svgdom-mode-prop.html = IMAGE 
svg/dynamic-updates/SVGLinearGradientElement-svgdom-gradientTransform-prop.html = IMAGE 
svg/dynamic-updates/SVGRadialGradientElement-svgdom-gradientTransform-prop.html = IMAGE 
svg/filters/feComposite.svg = IMAGE 
svg/filters/feDisplacementMap.svg = IMAGE 
svg/filters/feOffset.svg = IMAGE 
svg/filters/filter-clip.svg = IMAGE 
svg/filters/filterRes.svg = IMAGE 
svg/hixie/links/003-broken.xml = IMAGE 
svg/hixie/mixed/003.xml = IMAGE 
svg/hixie/mixed/006.xml = IMAGE 
svg/hixie/mixed/008.xml = IMAGE 
svg/hixie/mixed/011.xml = IMAGE 
svg/hixie/perf/007.xml = IMAGE 
svg/hixie/viewbox/preserveAspectRatio/001.xml = IMAGE 
svg/repaint/filter-repaint.svg = IMAGE 
svg/text/font-size-below-point-five-2.svg = IMAGE 
svg/text/foreignObject-text-clipping-bug.xml = IMAGE 
svg/text/scaled-font.svg = IMAGE 
svg/text/select-textLength-spacing-squeeze-1.svg = IMAGE 
svg/text/select-textLength-spacing-squeeze-2.svg = IMAGE 
svg/text/select-textLength-spacing-squeeze-3.svg = IMAGE 
svg/text/select-textLength-spacing-squeeze-4.svg = IMAGE 
svg/text/select-textLength-spacing-stretch-1.svg = IMAGE 
svg/text/select-textLength-spacing-stretch-2.svg = IMAGE 
svg/text/select-textLength-spacing-stretch-3.svg = IMAGE 
svg/text/select-textLength-spacing-stretch-4.svg = IMAGE 
svg/text/select-textLength-spacingAndGlyphs-stretch-1.svg = IMAGE 
svg/text/select-textLength-spacingAndGlyphs-stretch-2.svg = IMAGE 
svg/text/select-textLength-spacingAndGlyphs-stretch-3.svg = IMAGE 
svg/text/select-textLength-spacingAndGlyphs-stretch-4.svg = IMAGE 
svg/text/select-x-list-3.svg = IMAGE 
svg/text/selection-background-color.xhtml = IMAGE 
svg/text/selection-styles.xhtml = IMAGE 
svg/text/small-fonts-2.svg = IMAGE 
svg/text/small-fonts-3.svg = IMAGE 
svg/text/small-fonts-in-html5.html = IMAGE 
svg/text/small-fonts.svg = IMAGE 
svg/transforms/text-with-mask-with-svg-transform.svg = IMAGE 
svg/transforms/text-with-pattern-inside-transformed-html.xhtml = IMAGE 
svg/transforms/text-with-pattern-with-svg-transform.svg = IMAGE 
svg/zoom/page/zoom-coords-viewattr-01-b.svg = IMAGE 
svg/zoom/page/zoom-foreignObject.svg = IMAGE 
svg/zoom/page/zoom-hixie-mixed-008.xml = IMAGE 
svg/zoom/page/zoom-mask-with-percentages.svg = TEXT 
svg/zoom/text/zoom-coords-viewattr-01-b.svg = IMAGE 
tables/mozilla/bugs/bug101674.html = IMAGE 
tables/mozilla/bugs/bug10565.html = IMAGE 
tables/mozilla/bugs/bug11026.html = IMAGE 
tables/mozilla/bugs/bug1188.html = IMAGE 
tables/mozilla/bugs/bug12908-1.html = IMAGE 
tables/mozilla/bugs/bug1296.html = IMAGE 
tables/mozilla/bugs/bug1318.html = IMAGE 
tables/mozilla/bugs/bug1430.html = IMAGE 
tables/mozilla/bugs/bug14929.html = IMAGE 
tables/mozilla/bugs/bug15544.html = IMAGE 
tables/mozilla/bugs/bug17138.html = IMAGE 
tables/mozilla/bugs/bug23235.html = IMAGE 
tables/mozilla/bugs/bug2981-2.html = IMAGE 
tables/mozilla/bugs/bug4093.html = IMAGE 
tables/mozilla/bugs/bug4284.html = IMAGE 
tables/mozilla/bugs/bug4427.html = IMAGE 
tables/mozilla/bugs/bug4527.html = IMAGE 
tables/mozilla/bugs/bug56563.html = IMAGE 
tables/mozilla/bugs/bug5797.html = IMAGE 
tables/mozilla/bugs/bug625.html = IMAGE 
tables/mozilla/bugs/bug6404.html = IMAGE 
tables/mozilla/bugs/bug86708.html = IMAGE 
tables/mozilla/bugs/bug97383.html = IMAGE 
tables/mozilla/core/bloomberg.html = IMAGE 
tables/mozilla/core/col_widths_auto_autoFix.html = IMAGE 
tables/mozilla/core/misc.html = IMAGE 
tables/mozilla/core/row_span.html = IMAGE 
tables/mozilla/marvin/tbody_valign_baseline.html = IMAGE 
tables/mozilla/marvin/tbody_valign_bottom.html = IMAGE 
tables/mozilla/marvin/tbody_valign_middle.html = IMAGE 
tables/mozilla/marvin/tbody_valign_top.html = IMAGE 
tables/mozilla/marvin/td_valign_baseline.html = IMAGE 
tables/mozilla/marvin/td_valign_bottom.html = IMAGE 
tables/mozilla/marvin/td_valign_middle.html = IMAGE 
tables/mozilla/marvin/td_valign_top.html = IMAGE 
tables/mozilla/marvin/tfoot_valign_baseline.html = IMAGE 
tables/mozilla/marvin/tfoot_valign_bottom.html = IMAGE 
tables/mozilla/marvin/tfoot_valign_middle.html = IMAGE 
tables/mozilla/marvin/tfoot_valign_top.html = IMAGE 
tables/mozilla/marvin/th_valign_baseline.html = IMAGE 
tables/mozilla/marvin/th_valign_bottom.html = IMAGE 
tables/mozilla/marvin/th_valign_middle.html = IMAGE 
tables/mozilla/marvin/th_valign_top.html = IMAGE 
tables/mozilla/marvin/thead_valign_baseline.html = IMAGE 
tables/mozilla/marvin/thead_valign_bottom.html = IMAGE 
tables/mozilla/marvin/thead_valign_middle.html = IMAGE 
tables/mozilla/marvin/thead_valign_top.html = IMAGE 
tables/mozilla/marvin/tr_valign_baseline.html = IMAGE 
tables/mozilla/marvin/tr_valign_bottom.html = IMAGE 
tables/mozilla/marvin/tr_valign_middle.html = IMAGE 
tables/mozilla/marvin/tr_valign_top.html = IMAGE 
tables/mozilla/marvin/x_thead_align_justify.xml = IMAGE 
tables/mozilla/other/cell_widths.html = IMAGE 
tables/mozilla_expected_failures/bugs/97619.html = IMAGE 
tables/mozilla_expected_failures/bugs/bug6933.html = IMAGE 
tables/mozilla_expected_failures/bugs/bug85016.html = IMAGE 
tables/mozilla_expected_failures/other/test4.html = IMAGE 
transforms/no_transform_hit_testing.html = IMAGE 
transforms/svg-vs-css.xhtml = IMAGE 
transitions/move-after-transition.html = IMAGE
Comment 1 Mihai Parparita 2011-02-11 16:03:36 PST
I'm going to add these as expected failures to test_expectations.txt with a SNOWLEOPARD modifier, so that we can start to have a green Snow Leopard bot ( http://build.webkit.org/waterfall?show=Chromium%20Mac%20Release%20(Tests) ).
Comment 2 Mihai Parparita 2011-02-11 16:12:39 PST
(In reply to comment #1)
> I'm going to add these as expected failures to test_expectations.txt with a SNOWLEOPARD modifier, so that we can start to have a green Snow Leopard bot ( http://build.webkit.org/waterfall?show=Chromium%20Mac%20Release%20(Tests) ).

This is done with http://trac.webkit.org/changeset/78388
Comment 3 Anna Cavender 2011-02-21 12:23:28 PST
Created attachment 83202 [details]
Patch
Comment 4 Mihai Parparita 2011-02-22 11:52:33 PST
Comment on attachment 83202 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=83202&action=review

> LayoutTests/ChangeLog:1
> +2011-02-21  Anna Cavender  <annacc@timberline.sea.corp.google.com>

You may want to change your default email address.

> LayoutTests/ChangeLog:7
> +        https://bugs.webkit.org/show_bug.cgi?id=54322

Do you mind filing a separate bug for this set of tests and marking it as blocking 54322? (since this patch is not enough to fix 54322 and multiple patches/checkins per bug are discouraged in WebKit). webkit-patch upload can file bugs for you.
Comment 5 Anna Cavender 2011-02-22 12:06:15 PST
Sure thing, will do.  Sorry about that.
Comment 6 Alexander Pavlov (apavlov) 2011-03-15 02:20:24 PDT
The tests have recently started failing on Windows builders: http://test-results.appspot.com/dashboards/flakiness_dashboard.html#showExpectations=true&group=%40ToT%20-%20chromium.org&tests=fast%2Fspeech%2Finput-appearance-numberandspeech.html

I will suppress these for now, as I cannot say if the actual results are good enough for a rebaseline :(
Comment 7 Alexander Pavlov (apavlov) 2011-03-15 03:21:34 PDT
(In reply to comment #6)
> I will suppress these for now, as I cannot say if the actual results are good enough for a rebaseline :(

I'm extremely sorry for being too general, the only affected test on Windows is fast/speech/input-appearance-numberandspeech.html
Comment 8 Shinichiro Hamaji 2011-09-30 01:06:07 PDT
Committed r96397: <http://trac.webkit.org/changeset/96397>
Comment 9 Peter Kasting 2011-11-16 14:11:24 PST
Mihai, I just ran into one of these while sheriffing.  It looks like a lot of these are still sitting around in the test_expectations.  Can you please go through everything there marked with this bug number, rebaseline the tests that should just be rebaselined, and then file more specific bugs against people for the rest, so we can close this?
Comment 10 Steve Block 2011-11-17 06:42:52 PST
Committed r100615: <http://trac.webkit.org/changeset/100615>
Comment 11 Steve Block 2011-11-17 09:18:06 PST
Committed r100637: <http://trac.webkit.org/changeset/100637>
Comment 12 Adam Barth 2012-02-05 14:03:56 PST
This epic list of failing tests isn't really helpful to have as a single bug.
Comment 13 Adam Klein 2012-03-01 12:35:49 PST
Committed r109394: <http://trac.webkit.org/changeset/109394>
Comment 14 Adam Klein 2012-03-02 15:39:04 PST
I rebaselined several of these today and removed a bunch of expectations for previously-flaky tests yesterday. Still a few lingerers pointing at this bug, though.